
from fastapi import APIRouter

from src.aeros_contribution.service import update_contribution_bulk_mappings
from src.database.core import DbSession
from src.models import StandardResponse


router = APIRouter()
active_simulations = {}


@router.get("", response_model=StandardResponse[dict])
async def get_all_simulation(db_session: DbSession):
    """Get all simulation."""

    simulation_id = "eb8a1214-3d8f-48a9-8fa3-877a69a1fe98"

    results = await update_contribution_bulk_mappings(db_session=db_session, simulation_id=simulation_id)

    return {
        "data": results,
        "status": "success",
        "message": "Simulations result retrieved successfully",
    }
